ListAdvancedCertificates

Prev Next

Available in Classic and VPC

Get Advanced DV and Advanced OV certificates you currently own.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /certificate/getPaidCertificates

Request headers

For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.

Request example

The request example is as follows:

curl --location --request GET 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/certificates' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
returnCode String - Response code
returnMessage String - Response message
totalCount Integer - Total number of lists searched
orders Array - Certificate issuance request list

orders

The following describes orders.

Field Type Required Description
orderID String - Certificate issuance request ID
certificates Array - Certificate list

certificates

The following describes certificates.

Field Type Required Description
certificateNo Integer - Certificate number
certificateName String - Certificate name
memberNo String - NAVER Cloud Platform user member ID
commonName String - Domain to be included in the certificate CN (Common Name)
dnsName String - List of domains to be included in the certificate SAN (Subject Alternative Name)
statusCode String - Certificate status code
  • 0 | 1 | 2 | 3 | -1 | -2 | -3 | -4 | -5 | -6 | -7 | -11 | -12 | -20
    • 0: ONGOING
    • 1: NORMAL
    • 2: NORMAL_UNREGISTERED_PRIVATE_KEY
    • 3: NORMAL_GLOBAL_EDGE_DEDICATED
    • -1: FAILED
    • -2: EXPIRE
    • -3: VALIDATION_FAILED
    • -4: VALIDATION_EXPIRE
    • -5: REVOKE
    • -6: DELETED
    • -7: REQUEST_REVOKE
    • -11: FAILED (LINT)
    • -12: FAILED (CT)
    • -20: FAILED (ORG_LOCK / DNS_TXT)
statusName String - Certificate status
  • ONGOING | NORMAL | NORMAL_UNREGISTERED_PRIVATE_KEY | NORMAL_GLOBAL_EDGE_DEDICATED | FAILED | EXPIRE | VALIDATION_FAILED | VALIDATION_EXPIRE | REVOKE | DELETED | REQUEST_REVOKE
    • ONGOING: In progress
    • NORMAL: Normal
    • NORMAL_UNREGISTERED_PRIVATE_KEY: Normal (private key not registered)
    • NORMAL_GLOBAL_EDGE_DEDICATED: Normal (Global Edge Dedicated)
    • FAILED: Failure
    • FAILED (LINT): Failure (LINT check)
    • FAILED (CT): Failure (CT check)
    • FAILED (ORG_LOCK / DNS_TXT): Organizational information mismatch (DNS TXT)
    • EXPIRE: Period expired
    • VALIDATION_FAILED: Validation failure
    • VALIDATION_EXPIRE: Validation timeout
    • REVOKE: Revoked
    • DELETED: Deleted
    • REQUEST_REVOKE: Revoking
certificateTypeCode String - Certificate type code
  • NCP_PAID_DV_01 | NCP_PAID_OV_01
    • NCP_GLOBAL_EDGE_DEDICATED: Advanced DV certificate
    • NCP_PAID_OV_01: Advanced OV certificate
domainCode String - Issuance-based domain
  • PUB: NAVER Cloud Platform (for individuals/general businesses)
updateDate String - Last change date and time
  • yyyy-MM-dd HH:mm:ss (UTC+09:00) format
issueType String - Issuance status: Use to verify whether the certificate can be reissued.
  • ORIGINAL | REPRESENTATIVE | REISSUE
    • ORIGINAL: Original certificate (reissuable if no representative certificate exists)
    • REPRESENTATIVE: Representative certificate (reissuable)
    • REISSUE: Reissued certificate (not reissuable)
subjectDN String - Certificate distinguished name (DN) information
registDate String - Certificate registration date and time
  • yyyy-MM-dd HH:mm:ss (UTC+09:00) format
notAfter String - Certificate expiration date and time
  • yyyy-MM-dd HH:mm:ss (UTC+09:00) format

Response status codes

For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.

Response example

The response example is as follows:

{
  "returnCode": "0",
  "returnMessage": "Success",
  "totalCount": 1,
  "orders": [
    {
      "orderId": "900001",
      "certificates": [
        {
          "certificateNo": 100001,
          "certificateName": "sample-cert-01",
          "memberNo": "9999999",
          "commonName": "example.com",
          "statusCode": "0",
          "statusName": "Ongoing",
          "certificateType": "NCP_PAID_OV_01",
          "domainCode": "PUB",
          "updateDate": "2026-03-01 10:15:30(UTC+09:00)",
          "orderId": "900001",
          "issueType": "ORIGINAL",
          "subjectDN": "cn=example.com,o=Example Corporation,l=Sample-city,s=Sample-state,c=KR",
          "registDate": "2026-03-01 10:15:30(UTC+09:00)",
          "notAfter": "2027-03-01 23:59:59(UTC+09:00)"
        }
      ]
    }
  ]
}